Index: trunk/test/data/wmts/getcapabilities-pseudo-mercator.xml
===================================================================
--- trunk/test/data/wmts/getcapabilities-pseudo-mercator.xml	(revision 8568)
+++ trunk/test/data/wmts/getcapabilities-pseudo-mercator.xml	(revision 8584)
@@ -53,5 +53,5 @@
       <ows:Identifier>EPSG:3857:0</ows:Identifier>
       <ScaleDenominator>559082264.0287178</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -63,5 +63,5 @@
       <ows:Identifier>EPSG:3857:1</ows:Identifier>
       <ScaleDenominator>279541132.0143589</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -73,5 +73,5 @@
       <ows:Identifier>EPSG:3857:2</ows:Identifier>
       <ScaleDenominator>139770566.0071794</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -83,5 +83,5 @@
       <ows:Identifier>EPSG:3857:3</ows:Identifier>
       <ScaleDenominator>69885283.00358972</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -93,5 +93,5 @@
       <ows:Identifier>EPSG:3857:4</ows:Identifier>
       <ScaleDenominator>34942641.50179486</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -103,5 +103,5 @@
       <ows:Identifier>EPSG:3857:5</ows:Identifier>
       <ScaleDenominator>17471320.75089743</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -113,5 +113,5 @@
       <ows:Identifier>EPSG:3857:6</ows:Identifier>
       <ScaleDenominator>8735660.375448715</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -123,5 +123,5 @@
       <ows:Identifier>EPSG:3857:7</ows:Identifier>
       <ScaleDenominator>4367830.187724357</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -133,5 +133,5 @@
       <ows:Identifier>EPSG:3857:8</ows:Identifier>
       <ScaleDenominator>2183915.093862179</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -143,5 +143,5 @@
       <ows:Identifier>EPSG:3857:9</ows:Identifier>
       <ScaleDenominator>1091957.546931089</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>
@@ -153,5 +153,5 @@
       <ows:Identifier>EPSG:3857:10</ows:Identifier>
       <ScaleDenominator>545978.7734655447</ScaleDenominator>
-      <TopLeftCorner>20037509.917339604 -20037508.342789244</TopLeftCorner>
+      <TopLeftCorner>-20037508.3428 20037508.3428</TopLeftCorner>
       <TileWidth>256</TileWidth>
       <TileHeight>256</TileHeight>