Index: trunk/src/org/openstreetmap/josm/io/BoundingBoxDownloader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/BoundingBoxDownloader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/BoundingBoxDownloader.java	(revision 8846)
@@ -48,5 +48,5 @@
         boolean done = false;
         GpxData result = null;
-        String url = "trackpoints?bbox="+b.getMinLon()+","+b.getMinLat()+","+b.getMaxLon()+","+b.getMaxLat()+"&page=";
+        String url = "trackpoints?bbox="+b.getMinLon()+','+b.getMinLat()+','+b.getMaxLon()+','+b.getMaxLat()+"&page=";
         for (int i = 0; !done; ++i) {
             progressMonitor.subTask(tr("Downloading points {0} to {1}...", i * 5000, (i + 1) * 5000));
@@ -123,5 +123,5 @@
      */
     protected String getRequestForBbox(double lon1, double lat1, double lon2, double lat2) {
-        return "map?bbox=" + lon1 + "," + lat1 + "," + lon2 + "," + lat2;
+        return "map?bbox=" + lon1 + ',' + lat1 + ',' + lon2 + ',' + lat2;
     }
 
@@ -190,5 +190,5 @@
         CheckParameterUtil.ensureThat(noteLimit <= 10000, "Requested note limit is over API hard limit of 10000.");
         CheckParameterUtil.ensureThat(daysClosed >= -1, "Requested note limit is less than -1.");
-        String url = "notes?limit=" + noteLimit + "&closed=" + daysClosed + "&bbox=" + lon1 + "," + lat1 + "," + lon2 + "," + lat2;
+        String url = "notes?limit=" + noteLimit + "&closed=" + daysClosed + "&bbox=" + lon1 + ',' + lat1 + ',' + lon2 + ',' + lat2;
         try {
             InputStream is = getInputStream(url, progressMonitor.createSubTaskMonitor(1, false));
Index: trunk/src/org/openstreetmap/josm/io/CachedFile.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/CachedFile.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/CachedFile.java	(revision 8846)
@@ -289,5 +289,5 @@
             while (entries.hasMoreElements()) {
                 ZipEntry entry = entries.nextElement();
-                if (entry.getName().endsWith("." + extension)) {
+                if (entry.getName().endsWith('.' + extension)) {
                     /* choose any file with correct extension. When more than
                         one file, prefer the one which matches namepart */
@@ -415,5 +415,5 @@
             if (ifModifiedSince != null && con.getResponseCode() == HttpURLConnection.HTTP_NOT_MODIFIED) {
                 if (Main.isDebugEnabled()) {
-                    Main.debug("304 Not Modified ("+urlStr+")");
+                    Main.debug("304 Not Modified ("+urlStr+')');
                 }
                 if (localFile == null)
Index: trunk/src/org/openstreetmap/josm/io/GpxExporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/GpxExporter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/GpxExporter.java	(revision 8846)
@@ -45,4 +45,18 @@
     private static final String GPL_WARNING = "<html><font color='red' size='-2'>"
         + tr("Note: GPL is not compatible with the OSM license. Do not upload GPL licensed tracks.") + "</html>";
+
+    private static final String[] LICENSES = {
+            "Creative Commons By-SA",
+            "Open Database License (ODbL)",
+            "public domain",
+            "GNU Lesser Public License (LGPL)",
+            "BSD License (MIT/X11)"};
+
+    private static final String[] URLS = {
+            "https://creativecommons.org/licenses/by-sa/3.0",
+            "http://opendatacommons.org/licenses/odbl/1.0",
+            "public domain",
+            "https://www.gnu.org/copyleft/lesser.html",
+            "http://www.opensource.org/licenses/bsd-license.php"};
 
     /**
@@ -292,12 +306,6 @@
             @Override
             public void actionPerformed(ActionEvent e) {
-                final String[] licenses = {
-                        "Creative Commons By-SA",
-                        "Open Database License (ODbL)",
-                        "public domain",
-                        "GNU Lesser Public License (LGPL)",
-                        "BSD License (MIT/X11)"};
-                JList<String> l = new JList<>(licenses);
-                l.setVisibleRowCount(licenses.length);
+                JList<String> l = new JList<>(LICENSES);
+                l.setVisibleRowCount(LICENSES.length);
                 l.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
                 int answer = JOptionPane.showConfirmDialog(
@@ -310,10 +318,4 @@
                 if (answer != JOptionPane.OK_OPTION || l.getSelectedIndex() == -1)
                     return;
-                final String[] urls = {
-                        "https://creativecommons.org/licenses/by-sa/3.0",
-                        "http://opendatacommons.org/licenses/odbl/1.0",
-                        "public domain",
-                        "https://www.gnu.org/copyleft/lesser.html",
-                        "http://www.opensource.org/licenses/bsd-license.php"};
                 String license = "";
                 for (int i : l.getSelectedIndices()) {
@@ -322,5 +324,5 @@
                         break;
                     }
-                    license += license.isEmpty() ? urls[i] : ", "+urls[i];
+                    license += license.isEmpty() ? URLS[i] : ", "+URLS[i];
                 }
                 copyright.setText(license);
Index: trunk/src/org/openstreetmap/josm/io/GpxReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/GpxReader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/GpxReader.java	(revision 8846)
@@ -178,5 +178,5 @@
                     break;
                 case "email":
-                    data.put(META_AUTHOR_EMAIL, atts.getValue("id") + "@" + atts.getValue("domain"));
+                    data.put(META_AUTHOR_EMAIL, atts.getValue("id") + '@' + atts.getValue("domain"));
                 }
                 break;
@@ -549,5 +549,5 @@
                 if (e instanceof SAXParseException) {
                     SAXParseException spe = (SAXParseException) e;
-                    message += " " + tr("(at line {0}, column {1})", spe.getLineNumber(), spe.getColumnNumber());
+                    message += ' ' + tr("(at line {0}, column {1})", spe.getLineNumber(), spe.getColumnNumber());
                 }
                 Main.warn(message);
Index: trunk/src/org/openstreetmap/josm/io/GpxWriter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/GpxWriter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/GpxWriter.java	(revision 8846)
@@ -135,5 +135,5 @@
                 String[] tmp = data.getString(META_AUTHOR_EMAIL).split("@");
                 if (tmp.length == 2) {
-                    inline("email", "id=\"" + tmp[0] + "\" domain=\""+tmp[1]+"\"");
+                    inline("email", "id=\"" + tmp[0] + "\" domain=\""+tmp[1]+'\"');
                 }
             }
@@ -146,5 +146,5 @@
         if (attr.containsKey(META_COPYRIGHT_LICENSE)
                 || attr.containsKey(META_COPYRIGHT_YEAR)) {
-            openAtt("copyright", "author=\""+ data.get(META_COPYRIGHT_AUTHOR) +"\"");
+            openAtt("copyright", "author=\""+ data.get(META_COPYRIGHT_AUTHOR) +'\"');
             if (attr.containsKey(META_COPYRIGHT_YEAR)) {
                 simpleTag("year", (String) data.get(META_COPYRIGHT_YEAR));
@@ -171,5 +171,5 @@
         if (bounds != null) {
             String b = "minlat=\"" + bounds.getMinLat() + "\" minlon=\"" + bounds.getMinLon() +
-            "\" maxlat=\"" + bounds.getMaxLat() + "\" maxlon=\"" + bounds.getMaxLon() + "\"";
+            "\" maxlat=\"" + bounds.getMaxLat() + "\" maxlon=\"" + bounds.getMaxLon() + '\"';
             inline("bounds", b);
         }
@@ -222,20 +222,20 @@
 
     private void open(String tag) {
-        out.print(indent + "<" + tag + ">");
+        out.print(indent + '<' + tag + '>');
         indent += "  ";
     }
 
     private void openAtt(String tag, String attributes) {
-        out.println(indent + "<" + tag + " " + attributes + ">");
+        out.println(indent + '<' + tag + ' ' + attributes + '>');
         indent += "  ";
     }
 
     private void inline(String tag, String attributes) {
-        out.println(indent + "<" + tag + " " + attributes + "/>");
+        out.println(indent + '<' + tag + ' ' + attributes + "/>");
     }
 
     private void close(String tag) {
         indent = indent.substring(2);
-        out.print(indent + "</" + tag + ">");
+        out.print(indent + "</" + tag + '>');
     }
 
@@ -253,5 +253,5 @@
             open(tag);
             out.print(encode(content));
-            out.println("</" + tag + ">");
+            out.println("</" + tag + '>');
             indent = indent.substring(2);
         }
@@ -263,5 +263,5 @@
     private void gpxLink(GpxLink link) {
         if (link != null) {
-            openAtt("link", "href=\"" + link.uri + "\"");
+            openAtt("link", "href=\"" + link.uri + '\"');
             simpleTag("text", link.text);
             simpleTag("type", link.type);
@@ -290,5 +290,5 @@
         if (pnt != null) {
             LatLon c = pnt.getCoor();
-            String coordAttr = "lat=\"" + c.lat() + "\" lon=\"" + c.lon() + "\"";
+            String coordAttr = "lat=\"" + c.lat() + "\" lon=\"" + c.lon() + '\"';
             if (pnt.attr.isEmpty()) {
                 inline(type, coordAttr);
Index: trunk/src/org/openstreetmap/josm/io/JpgImporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/JpgImporter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/JpgImporter.java	(revision 8846)
@@ -36,5 +36,5 @@
      */
     public static final ExtensionFileFilter FILE_FILTER_WITH_FOLDERS = new ExtensionFileFilter(
-            "jpg,jpeg", "jpg", tr("Image Files") + " (*.jpg, "+ tr("folder")+")");
+            "jpg,jpeg", "jpg", tr("Image Files") + " (*.jpg, "+ tr("folder")+')');
 
     /**
Index: trunk/src/org/openstreetmap/josm/io/MessageNotifier.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/MessageNotifier.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/MessageNotifier.java	(revision 8846)
@@ -71,5 +71,5 @@
                             panel.add(new JLabel(trn("You have {0} unread message.", "You have {0} unread messages.", unread, unread)),
                                     GBC.eol());
-                            panel.add(new UrlLabel(Main.getBaseUserUrl() + "/" + userInfo.getDisplayName() + "/inbox",
+                            panel.add(new UrlLabel(Main.getBaseUserUrl() + '/' + userInfo.getDisplayName() + "/inbox",
                                     tr("Click here to see your inbox.")), GBC.eol());
                             panel.setOpaque(false);
@@ -97,5 +97,5 @@
         } else if (!isRunning() && interval > 0 && isUserEnoughIdentified()) {
             task = EXECUTOR.scheduleAtFixedRate(WORKER, 0, interval * 60, TimeUnit.SECONDS);
-            Main.info("Message notifier active (checks every "+interval+" minute"+(interval > 1 ? "s" : "")+")");
+            Main.info("Message notifier active (checks every "+interval+" minute"+(interval > 1 ? "s" : "")+')');
         }
     }
Index: trunk/src/org/openstreetmap/josm/io/MultiFetchServerObjectReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/MultiFetchServerObjectReader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/MultiFetchServerObjectReader.java	(revision 8846)
@@ -351,5 +351,5 @@
         // Run the fetchers
         for (int i = 0; i < jobs.size() && !isCanceled(); i++) {
-            progressMonitor.subTask(msg + "... " + progressMonitor.getTicks() + "/" + progressMonitor.getTicksCount());
+            progressMonitor.subTask(msg + "... " + progressMonitor.getTicks() + '/' + progressMonitor.getTicksCount());
             try {
                 FetchResult result = ecs.take().get();
Index: trunk/src/org/openstreetmap/josm/io/OsmApi.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmApi.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmApi.java	(revision 8846)
@@ -378,5 +378,5 @@
             initialize(monitor);
             // normal mode (0.6 and up) returns new object version.
-            ret = sendRequest("PUT", OsmPrimitiveType.from(osm).getAPIName()+"/" + osm.getId(), toXml(osm, true), monitor);
+            ret = sendRequest("PUT", OsmPrimitiveType.from(osm).getAPIName()+'/' + osm.getId(), toXml(osm, true), monitor);
             osm.setOsmId(osm.getId(), Integer.parseInt(ret.trim()));
             osm.setChangesetId(getChangeset().getId());
@@ -623,5 +623,5 @@
             try {
                 url = new URL(new URL(getBaseUrl()), urlSuffix);
-                Main.info(requestMethod + " " + url + "... ");
+                Main.info(requestMethod + ' ' + url + "... ");
                 Main.debug(requestBody);
                 // fix #5369, see http://www.tikalk.com/java/forums/httpurlconnection-disable-keep-alive
Index: trunk/src/org/openstreetmap/josm/io/OsmConnection.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmConnection.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmConnection.java	(revision 8846)
@@ -95,5 +95,5 @@
             String username = response.getUsername() == null ? "" : response.getUsername();
             String password = response.getPassword() == null ? "" : String.valueOf(response.getPassword());
-            token = username + ":" + password;
+            token = username + ':' + password;
             try {
                 ByteBuffer bytes = encoder.encode(CharBuffer.wrap(token));
Index: trunk/src/org/openstreetmap/josm/io/OsmExporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmExporter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmExporter.java	(revision 8846)
@@ -86,5 +86,5 @@
             // a truncated file.  That can destroy lots of work.
             if (file.exists()) {
-                tmpFile = new File(file.getPath() + "~");
+                tmpFile = new File(file.getPath() + '~');
                 Utils.copyFile(file, tmpFile);
             }
Index: trunk/src/org/openstreetmap/josm/io/OsmHistoryReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmHistoryReader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmHistoryReader.java	(revision 8846)
@@ -40,5 +40,5 @@
             if (locator == null)
                 return "";
-            return "(" + locator.getLineNumber() + "," + locator.getColumnNumber() + ")";
+            return "(" + locator.getLineNumber() + ',' + locator.getColumnNumber() + ')';
         }
 
Index: trunk/src/org/openstreetmap/josm/io/OsmReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmReader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmReader.java	(revision 8846)
@@ -562,5 +562,5 @@
             if (getLocation() == null)
                 return msg;
-            msg += " " + tr("(at line {0}, column {1})", getLocation().getLineNumber(), getLocation().getColumnNumber());
+            msg += ' ' + tr("(at line {0}, column {1})", getLocation().getLineNumber(), getLocation().getColumnNumber());
             int offset = getLocation().getCharacterOffset();
             if (offset > -1) {
Index: trunk/src/org/openstreetmap/josm/io/OsmServerReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmServerReader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmServerReader.java	(revision 8846)
@@ -152,5 +152,5 @@
             try {
                 if (reason != null && !reason.isEmpty()) {
-                    Main.info("GET " + url + " (" + reason + ")");
+                    Main.info("GET " + url + " (" + reason + ')');
                 } else {
                     Main.info("GET " + url);
Index: trunk/src/org/openstreetmap/josm/io/OsmServerWriter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmServerWriter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmServerWriter.java	(revision 8846)
@@ -71,7 +71,7 @@
         long minutes_left = ms_left / MSECS_PER_MINUTE;
         long seconds_left = (ms_left / MSECS_PER_SECOND) % SECONDS_PER_MINUTE;
-        String time_left_str = Long.toString(minutes_left) + ":";
+        String time_left_str = Long.toString(minutes_left) + ':';
         if (seconds_left < 10) {
-            time_left_str += "0";
+            time_left_str += '0';
         }
         return time_left_str + Long.toString(seconds_left);
Index: trunk/src/org/openstreetmap/josm/io/OsmWriter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmWriter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OsmWriter.java	(revision 8846)
@@ -185,5 +185,5 @@
             if (n.getCoor() != null) {
                 out.print(" lat='"+LatLon.cDdHighPecisionFormatter.format(n.getCoor().lat())+
-                          "' lon='"+LatLon.cDdHighPecisionFormatter.format(n.getCoor().lon())+"'");
+                          "' lon='"+LatLon.cDdHighPecisionFormatter.format(n.getCoor().lon())+'\'');
             }
             addTags(n, "node", true);
@@ -226,23 +226,23 @@
     public void visit(Changeset cs) {
         out.print("  <changeset ");
-        out.print(" id='"+cs.getId()+"'");
+        out.print(" id='"+cs.getId()+'\'');
         if (cs.getUser() != null) {
-            out.print(" user='"+cs.getUser().getName() +"'");
-            out.print(" uid='"+cs.getUser().getId() +"'");
+            out.print(" user='"+cs.getUser().getName() +'\'');
+            out.print(" uid='"+cs.getUser().getId() +'\'');
         }
         if (cs.getCreatedAt() != null) {
-            out.print(" created_at='"+DateUtils.fromDate(cs.getCreatedAt()) +"'");
+            out.print(" created_at='"+DateUtils.fromDate(cs.getCreatedAt()) +'\'');
         }
         if (cs.getClosedAt() != null) {
-            out.print(" closed_at='"+DateUtils.fromDate(cs.getClosedAt()) +"'");
-        }
-        out.print(" open='"+ (cs.isOpen() ? "true" : "false") +"'");
+            out.print(" closed_at='"+DateUtils.fromDate(cs.getClosedAt()) +'\'');
+        }
+        out.print(" open='"+ (cs.isOpen() ? "true" : "false") +'\'');
         if (cs.getMin() != null) {
-            out.print(" min_lon='"+ cs.getMin().lonToString(CoordinateFormat.DECIMAL_DEGREES) +"'");
-            out.print(" min_lat='"+ cs.getMin().latToString(CoordinateFormat.DECIMAL_DEGREES) +"'");
+            out.print(" min_lon='"+ cs.getMin().lonToString(CoordinateFormat.DECIMAL_DEGREES) +'\'');
+            out.print(" min_lat='"+ cs.getMin().latToString(CoordinateFormat.DECIMAL_DEGREES) +'\'');
         }
         if (cs.getMax() != null) {
-            out.print(" max_lon='"+ cs.getMin().lonToString(CoordinateFormat.DECIMAL_DEGREES) +"'");
-            out.print(" max_lat='"+ cs.getMin().latToString(CoordinateFormat.DECIMAL_DEGREES) +"'");
+            out.print(" max_lon='"+ cs.getMin().lonToString(CoordinateFormat.DECIMAL_DEGREES) +'\'');
+            out.print(" max_lat='"+ cs.getMin().latToString(CoordinateFormat.DECIMAL_DEGREES) +'\'');
         }
         out.println(">");
@@ -268,9 +268,9 @@
                         "' v='"+XmlWriter.encode(e.getValue())+ "' />");
             }
-            out.println("  </" + tagname + ">");
+            out.println("  </" + tagname + '>');
         } else if (tagOpen) {
             out.println(" />");
         } else {
-            out.println("  </" + tagname + ">");
+            out.println("  </" + tagname + '>');
         }
     }
@@ -283,5 +283,5 @@
         out.print("  <"+tagname);
         if (osm.getUniqueId() != 0) {
-            out.print(" id='"+ osm.getUniqueId()+"'");
+            out.print(" id='"+ osm.getUniqueId()+'\'');
         } else
             throw new IllegalStateException(tr("Unexpected id 0 for osm primitive found"));
@@ -295,29 +295,29 @@
                 }
                 if (action != null) {
-                    out.print(" action='"+action+"'");
+                    out.print(" action='"+action+'\'');
                 }
             }
             if (!osm.isTimestampEmpty()) {
-                out.print(" timestamp='"+DateUtils.fromTimestamp(osm.getRawTimestamp())+"'");
+                out.print(" timestamp='"+DateUtils.fromTimestamp(osm.getRawTimestamp())+'\'');
             }
             // user and visible added with 0.4 API
             if (osm.getUser() != null) {
                 if (osm.getUser().isLocalUser()) {
-                    out.print(" user='"+XmlWriter.encode(osm.getUser().getName())+"'");
+                    out.print(" user='"+XmlWriter.encode(osm.getUser().getName())+'\'');
                 } else if (osm.getUser().isOsmUser()) {
                     // uid added with 0.6
-                    out.print(" uid='"+ osm.getUser().getId()+"'");
-                    out.print(" user='"+XmlWriter.encode(osm.getUser().getName())+"'");
+                    out.print(" uid='"+ osm.getUser().getId()+'\'');
+                    out.print(" user='"+XmlWriter.encode(osm.getUser().getName())+'\'');
                 }
             }
-            out.print(" visible='"+osm.isVisible()+"'");
+            out.print(" visible='"+osm.isVisible()+'\'');
         }
         if (osm.getVersion() != 0) {
-            out.print(" version='"+osm.getVersion()+"'");
+            out.print(" version='"+osm.getVersion()+'\'');
         }
         if (this.changeset != null && this.changeset.getId() != 0) {
-            out.print(" changeset='"+this.changeset.getId()+"'");
+            out.print(" changeset='"+this.changeset.getId()+'\'');
         } else if (osm.getChangesetId() > 0 && !osm.isNew()) {
-            out.print(" changeset='"+osm.getChangesetId()+"'");
+            out.print(" changeset='"+osm.getChangesetId()+'\'');
         }
     }
Index: trunk/src/org/openstreetmap/josm/io/OverpassDownloadReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OverpassDownloadReader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/OverpassDownloadReader.java	(revision 8846)
@@ -50,10 +50,10 @@
             String realQuery = completeOverpassQuery(overpassQuery);
             return "interpreter?data=" + Utils.encodeUrl(realQuery)
-                    + "&bbox=" + lon1 + "," + lat1 + "," + lon2 + "," + lat2;
+                    + "&bbox=" + lon1 + ',' + lat1 + ',' + lon2 + ',' + lat2;
         }
     }
 
     private String completeOverpassQuery(String query) {
-        int firstColon = query.indexOf(";");
+        int firstColon = query.indexOf(';');
         if (firstColon == -1) {
             return "[bbox];" + query;
Index: trunk/src/org/openstreetmap/josm/io/auth/DefaultAuthenticator.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/auth/DefaultAuthenticator.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/auth/DefaultAuthenticator.java	(revision 8846)
@@ -55,5 +55,5 @@
             if (response == null || response.isCanceled())
                 return null;
-            credentialsTried.put(getRequestorType(), true);
+            credentialsTried.put(getRequestorType(), Boolean.TRUE);
             return new PasswordAuthentication(response.getUsername(), response.getPassword());
         } catch (CredentialsAgentException e) {
Index: trunk/src/org/openstreetmap/josm/io/imagery/ImageryReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/imagery/ImageryReader.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/imagery/ImageryReader.java	(revision 8846)
@@ -149,7 +149,7 @@
                     try {
                         bounds = new ImageryBounds(
-                                atts.getValue("min-lat") + "," +
-                                        atts.getValue("min-lon") + "," +
-                                        atts.getValue("max-lat") + "," +
+                                atts.getValue("min-lat") + ',' +
+                                        atts.getValue("min-lon") + ',' +
+                                        atts.getValue("max-lat") + ',' +
                                         atts.getValue("max-lon"), ",");
                     } catch (IllegalArgumentException e) {
Index: trunk/src/org/openstreetmap/josm/io/imagery/WMSImagery.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/imagery/WMSImagery.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/imagery/WMSImagery.java	(revision 8846)
@@ -121,7 +121,7 @@
                 final String getCapabilitiesQuery = "VERSION=1.1.1&SERVICE=WMS&REQUEST=GetCapabilities";
                 if (getCapabilitiesUrl.getQuery() == null) {
-                    getCapabilitiesUrl = new URL(serviceUrlStr + "?" + getCapabilitiesQuery);
+                    getCapabilitiesUrl = new URL(serviceUrlStr + '?' + getCapabilitiesQuery);
                 } else if (!getCapabilitiesUrl.getQuery().isEmpty() && !getCapabilitiesUrl.getQuery().endsWith("&")) {
-                    getCapabilitiesUrl = new URL(serviceUrlStr + "&" + getCapabilitiesQuery);
+                    getCapabilitiesUrl = new URL(serviceUrlStr + '&' + getCapabilitiesQuery);
                 } else {
                     getCapabilitiesUrl = new URL(serviceUrlStr + getCapabilitiesQuery);
Index: trunk/src/org/openstreetmap/josm/io/remotecontrol/RequestProcessor.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/remotecontrol/RequestProcessor.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/remotecontrol/RequestProcessor.java	(revision 8846)
@@ -109,5 +109,5 @@
             command = command.substring(1);
         }
-        String commandWithSlash = "/" + command;
+        String commandWithSlash = '/' + command;
         if (handlers.get(commandWithSlash) != null) {
             Main.info("RemoteControl: ignoring duplicate command " + command
@@ -116,5 +116,5 @@
             if (!silent) {
                 Main.info("RemoteControl: adding command \"" +
-                    command + "\" (handled by " + handler.getSimpleName() + ")");
+                    command + "\" (handled by " + handler.getSimpleName() + ')');
             }
             handlers.put(commandWithSlash, handler);
Index: trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/AddNodeHandler.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/AddNodeHandler.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/AddNodeHandler.java	(revision 8846)
@@ -81,5 +81,5 @@
 
         // Parse the arguments
-        Main.info("Adding node at (" + lat + ", " + lon + ")");
+        Main.info("Adding node at (" + lat + ", " + lon + ')');
 
         // Create a new node
@@ -118,5 +118,5 @@
             lon = Double.parseDouble(args.get("lon"));
         } catch (NumberFormatException e) {
-            throw new RequestHandlerBadRequestException("NumberFormatException ("+e.getMessage()+")", e);
+            throw new RequestHandlerBadRequestException("NumberFormatException ("+e.getMessage()+')', e);
         }
         if (!Main.main.hasEditLayer()) {
Index: trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/AddWayHandler.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/AddWayHandler.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/AddWayHandler.java	(revision 8846)
@@ -106,5 +106,5 @@
                 allCoordinates.add(new LatLon(lat, lon));
             } catch (NumberFormatException e) {
-                throw new RequestHandlerBadRequestException("NumberFormatException ("+e.getMessage()+")", e);
+                throw new RequestHandlerBadRequestException("NumberFormatException ("+e.getMessage()+')', e);
             }
         }
Index: trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/FeaturesHandler.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/FeaturesHandler.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/FeaturesHandler.java	(revision 8846)
@@ -33,5 +33,5 @@
                    buf.append(", ");
                }
-               String info = RequestProcessor.getHandlerInfoAsJSON("/"+s);
+               String info = RequestProcessor.getHandlerInfoAsJSON('/'+s);
                if (info != null) {
                    buf.append(info);
@@ -48,5 +48,5 @@
         contentType = "application/json";
         if (args.containsKey("jsonp")) {
-            content = args.get("jsonp") + " && " + args.get("jsonp") + "(" + content + ")";
+            content = args.get("jsonp") + " && " + args.get("jsonp") + '(' + content + ')';
         }
     }
Index: trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/LoadAndZoomHandler.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/LoadAndZoomHandler.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/LoadAndZoomHandler.java	(revision 8846)
@@ -274,5 +274,5 @@
             maxlon = LatLon.roundToOsmPrecision(Double.parseDouble(args.get("right")));
         } catch (NumberFormatException e) {
-            throw new RequestHandlerBadRequestException("NumberFormatException ("+e.getMessage()+")", e);
+            throw new RequestHandlerBadRequestException("NumberFormatException ("+e.getMessage()+')', e);
         }
 
Index: trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/RequestHandler.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/RequestHandler.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/RequestHandler.java	(revision 8846)
@@ -224,5 +224,5 @@
             if (value == null || value.isEmpty()) {
                 error = true;
-                Main.warn("'" + myCommand + "' remote control request must have '" + key + "' parameter");
+                Main.warn('\'' + myCommand + "' remote control request must have '" + key + "' parameter");
                 missingKeys.add(key);
             }
Index: trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/VersionHandler.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/VersionHandler.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/remotecontrol/handler/VersionHandler.java	(revision 8846)
@@ -23,5 +23,5 @@
         contentType = "application/json";
         if (args.containsKey("jsonp")) {
-            content = args.get("jsonp") + " && " + args.get("jsonp") + "(" + content + ")";
+            content = args.get("jsonp") + " && " + args.get("jsonp") + "(" + content + ')';
         }
     }
Index: trunk/src/org/openstreetmap/josm/io/session/GeoImageSessionImporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/session/GeoImageSessionImporter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/session/GeoImageSessionImporter.java	(revision 8846)
@@ -106,5 +106,5 @@
         List<SessionReader.LayerDependency> deps = support.getLayerDependencies();
         if (!deps.isEmpty()) {
-            Layer layer = deps.iterator().next().getLayer();
+            Layer layer = deps.get(0).getLayer();
             if (layer instanceof GpxLayer) {
                 gpxLayer = (GpxLayer) layer;
Index: trunk/src/org/openstreetmap/josm/io/session/ImagerySessionImporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/session/ImagerySessionImporter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/session/ImagerySessionImporter.java	(revision 8846)
@@ -49,13 +49,13 @@
             AbstractTileSourceLayer tsLayer = (AbstractTileSourceLayer) layer;
             if (attributes.containsKey("automatic-downloading")) {
-                tsLayer.autoLoad = Boolean.valueOf(attributes.get("automatic-downloading"));
+                tsLayer.autoLoad = Boolean.parseBoolean(attributes.get("automatic-downloading"));
             }
 
             if (attributes.containsKey("automatically-change-resolution")) {
-                tsLayer.autoZoom = Boolean.valueOf(attributes.get("automatically-change-resolution"));
+                tsLayer.autoZoom = Boolean.parseBoolean(attributes.get("automatically-change-resolution"));
             }
 
             if (attributes.containsKey("show-errors")) {
-                tsLayer.showErrors = Boolean.valueOf(attributes.get("show-errors"));
+                tsLayer.showErrors = Boolean.parseBoolean(attributes.get("show-errors"));
             }
         }
Index: trunk/src/org/openstreetmap/josm/io/session/MarkerSessionImporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/session/MarkerSessionImporter.java	(revision 8840)
+++ trunk/src/org/openstreetmap/josm/io/session/MarkerSessionImporter.java	(revision 8846)
@@ -49,5 +49,5 @@
                 List<SessionReader.LayerDependency> deps = support.getLayerDependencies();
                 if (!deps.isEmpty()) {
-                    Layer layer = deps.iterator().next().getLayer();
+                    Layer layer = deps.get(0).getLayer();
                     if (layer instanceof GpxLayer) {
                         gpxLayer = (GpxLayer) layer;