Index: trunk/src/org/openstreetmap/josm/io/MultiFetchServerObjectReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/MultiFetchServerObjectReader.java	(revision 8854)
+++ trunk/src/org/openstreetmap/josm/io/MultiFetchServerObjectReader.java	(revision 8855)
@@ -14,5 +14,4 @@
 import java.util.LinkedHashSet;
 import java.util.List;
-import java.util.NoSuchElementException;
 import java.util.Set;
 import java.util.concurrent.Callable;
@@ -37,5 +36,4 @@
 import org.openstreetmap.josm.gui.progress.NullProgressMonitor;
 import org.openstreetmap.josm.gui.progress.ProgressMonitor;
-import org.openstreetmap.josm.tools.CheckParameterUtil;
 import org.openstreetmap.josm.tools.Utils;
 
@@ -99,28 +97,4 @@
         case RELATION: relations.add(id.getUniqueId()); break;
         }
-    }
-
-    /**
-     * remembers an {@link OsmPrimitive}'s id. <code>ds</code> must include
-     * an {@link OsmPrimitive} with id=<code>id</code>. The id will
-     * later we fetched as part of a Multi Get request.
-     *
-     * Ignore the id if it id &lt;= 0.
-     *
-     * @param ds  the dataset (must not be null)
-     * @param id  the primitive id
-     * @param type The primitive type. Must be one of {@link OsmPrimitiveType#NODE NODE}, {@link OsmPrimitiveType#WAY WAY},
-     * {@link OsmPrimitiveType#RELATION RELATION}
-     * @throws IllegalArgumentException if ds is null
-     * @throws NoSuchElementException if ds does not include an {@link OsmPrimitive} with id=<code>id</code>
-     */
-    protected void remember(DataSet ds, long id, OsmPrimitiveType type) throws NoSuchElementException {
-        CheckParameterUtil.ensureParameterNotNull(ds, "ds");
-        if (id <= 0) return;
-        OsmPrimitive primitive = ds.getPrimitiveById(id, type);
-        if (primitive == null)
-            throw new NoSuchElementException(tr("No primitive with id {0} in local dataset. Cannot infer primitive type.", id));
-        remember(primitive.getPrimitiveId());
-        return;
     }
 
Index: trunk/src/org/openstreetmap/josm/io/OsmChangeImporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmChangeImporter.java	(revision 8854)
+++ trunk/src/org/openstreetmap/josm/io/OsmChangeImporter.java	(revision 8855)
@@ -15,5 +15,4 @@
 import org.openstreetmap.josm.data.osm.DataSet;
 import org.openstreetmap.josm.gui.layer.OsmDataLayer;
-import org.openstreetmap.josm.gui.progress.NullProgressMonitor;
 import org.openstreetmap.josm.gui.progress.ProgressMonitor;
 import org.openstreetmap.josm.gui.util.GuiHelper;
@@ -45,8 +44,4 @@
     }
 
-    protected void importData(InputStream in, final File associatedFile) throws IllegalDataException {
-        importData(in, associatedFile, NullProgressMonitor.INSTANCE);
-    }
-
     protected void importData(InputStream in, final File associatedFile, ProgressMonitor  progressMonitor) throws IllegalDataException {
         final DataSet dataSet = OsmChangeReader.parseDataSet(in, progressMonitor);
Index: trunk/src/org/openstreetmap/josm/io/OsmChangesetParser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmChangesetParser.java	(revision 8854)
+++ trunk/src/org/openstreetmap/josm/io/OsmChangesetParser.java	(revision 8855)
@@ -79,5 +79,5 @@
         private StringBuilder text;
 
-        protected void parseChangesetAttributes(Changeset cs, Attributes atts) throws XmlParsingException {
+        protected void parseChangesetAttributes(Attributes atts) throws XmlParsingException {
             // -- id
             String value = atts.getValue("id");
@@ -204,5 +204,5 @@
             case "changeset":
                 current = new Changeset();
-                parseChangesetAttributes(current, atts);
+                parseChangesetAttributes(atts);
                 break;
             case "tag":
Index: trunk/src/org/openstreetmap/josm/io/OsmImporter.java
===================================================================
--- trunk/src/org/openstreetmap/josm/io/OsmImporter.java	(revision 8854)
+++ trunk/src/org/openstreetmap/josm/io/OsmImporter.java	(revision 8855)
@@ -16,5 +16,4 @@
 import org.openstreetmap.josm.data.osm.visitor.BoundingXYVisitor;
 import org.openstreetmap.josm.gui.layer.OsmDataLayer;
-import org.openstreetmap.josm.gui.progress.NullProgressMonitor;
 import org.openstreetmap.josm.gui.progress.ProgressMonitor;
 import org.openstreetmap.josm.gui.util.GuiHelper;
@@ -78,13 +77,4 @@
             throw new IOException(tr("File ''{0}'' does not exist.", file.getName()), e);
         }
-    }
-
-    /**
-     * Imports OSM data from stream
-     * @param in input stream
-     * @param associatedFile filename of data
-     */
-    protected void importData(InputStream in, final File associatedFile) throws IllegalDataException {
-        importData(in, associatedFile, NullProgressMonitor.INSTANCE);
     }
 